com.hazelcast.org.snakeyaml.engine.v1.constructor

## Class BaseConstructor

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.constructor.BaseConstructor

- Direct Known Subclasses:
    StandardConstructor

      public abstract class BaseConstructor
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LoadSettings` | `settings`
    `protected Map<Tag,ConstructNode>` | `tagConstructors` It maps the (explicit or implicit) tag to the Construct implementation.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseConstructor(LoadSettings settings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `construct(Node node)` Construct complete YAML document.
    `protected Map<Object,Object>` | `constructMapping(MappingNode node)`
    `protected void` | `constructMapping2ndStep(MappingNode node, Map<Object,Object> mapping)`
    `protected Object` | `constructObject(Node node)` Construct object from the specified Node.
    `protected Object` | `constructObjectNoCheck(Node node)`
    `protected String` | `constructScalar(ScalarNode node)`
    `protected List<? extends Object>` | `constructSequence(SequenceNode node)`
    `protected void` | `constructSequenceStep2(SequenceNode node, Collection<Object> collection)`
    `protected Set<Object>` | `constructSet(MappingNode node)`
    `protected void` | `constructSet2ndStep(MappingNode node, Set<Object> set)`
    `Object` | `constructSingleDocument(Optional<Node> optionalNode)` Ensure that the stream contains a single document and construct it
    `protected Object` | `createArray(Class<?> type, int size)`
    `protected List<Object>` | `createDefaultList(int initSize)`
    `protected Map<Object,Object>` | `createDefaultMap(int initSize)`
    `protected Set<Object>` | `createDefaultSet(int initSize)`
    `protected ConstructNode` | `getConstructor(Node node)` Select `ConstructNode` inside the provided `Node` or the one associated with the `Tag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### settings

          protected LoadSettings settings

    - #### tagConstructors

          protected final Map<Tag,ConstructNode> tagConstructors

      It maps the (explicit or implicit) tag to the Construct implementation.

  - ### Constructor Detail

    - #### BaseConstructor

          public BaseConstructor(LoadSettings settings)

  - ### Method Detail

    - #### constructSingleDocument

          public Object constructSingleDocument(Optional<Node> optionalNode)

      Ensure that the stream contains a single document and construct it
      Parameters:
        `optionalNode` - - composed Node
      Returns:
        constructed instance

    - #### construct

          protected Object construct(Node node)

      Construct complete YAML document. Call the second step in case of recursive structures. At the end cleans all the state.
      Parameters:
        `node` - root Node
      Returns:
        Java instance

    - #### constructObject

          protected Object constructObject(Node node)

      Construct object from the specified Node. Return existing instance if the node is already constructed.
      Parameters:
        `node` - Node to be constructed
      Returns:
        Java instance

    - #### constructObjectNoCheck

          protected Object constructObjectNoCheck(Node node)

    - #### getConstructor

          protected ConstructNode getConstructor(Node node)

      Select `ConstructNode` inside the provided `Node` or the one associated with the `Tag`
      Parameters:
        `node` - `Node` to construct an instance from
      Returns:
        `ConstructNode` implementation for the specified node

    - #### constructScalar

          protected String constructScalar(ScalarNode node)

    - #### createDefaultList

          protected List<Object> createDefaultList(int initSize)

    - #### createDefaultSet

          protected Set<Object> createDefaultSet(int initSize)

    - #### createDefaultMap

          protected Map<Object,Object> createDefaultMap(int initSize)

    - #### createArray

          protected Object createArray(Class<?> type,
                                       int size)

    - #### constructSequence

          protected List<? extends Object> constructSequence(SequenceNode node)

    - #### constructSequenceStep2

          protected void constructSequenceStep2(SequenceNode node,
                                                Collection<Object> collection)

    - #### constructSet

          protected Set<Object> constructSet(MappingNode node)

    - #### constructMapping

          protected Map<Object,Object> constructMapping(MappingNode node)

    - #### constructMapping2ndStep

          protected void constructMapping2ndStep(MappingNode node,
                                                 Map<Object,Object> mapping)

    - #### constructSet2ndStep

          protected void constructSet2ndStep(MappingNode node,
                                             Set<Object> set)

Copyright © 2019. All rights reserved.